Debian Bug report logs - #655699
RFP: nx-libs -- NX Protocol client/server libraries and binaries

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 12 Jan 2012 19:57:05 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Thu, 12 Jan 2012 19:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

N/A; reported 2012-01-06

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 12 Jan 2012 19:57:08 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.debian.org
Cc: Matthew Johnson <mjj29@debian.org>, pkg-x2go-devel@lists.alioth.debian.org, freenx-team@lists.launchpad.net
Subject: ITP: nx-libs -- NX protocol libraries and binaries
Date: Thu, 12 Jan 2012 20:54:35 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Version: N/A; reported 2012-01-06
Severity: wishlist

* Package name : nx-libs
  Version : 3.5.0.3
  Upstream Author : Mike Gabriel, Oleksandr Shneyder, Reinhard Tartler
* URL : wiki.x2go.org
* License : GPLv2
  Description : NX protocol libraries and binaries

NX is a software suite which implements very efficient compression of  
the X11 protocol. This increases performance when using X applications  
over a network, especially a slow one.

The X2Go upstream team has started to provide ,,NX (redistributed)''  
-- a redistribution of NX code originally provided by NoMachine. The  
X2Go upstream
team has reviewed many patches from different sources and ships them  
with ,,NX (redistributed)''.

X2Go upstream offers two tarball variants of ,,NX (redistributed)'':
  - LITE: nx-libs_<version>-lite.tar.gz (NX client-only support)
  - FULL: nxlibs_<version>-full.tar.gz (full NX client and server support)

The X2Go upstream team has also made an effort on applying X2Go  
specific patches that allow to turn an unbranded NX agent (aka  
nxagent, stripped off !M logo from session startup splash, as done by  
the FreeNX team on Launchpad) into an X2Go branded (splash screen)  
agent (aka x2goagent). The name of the binary decides on the flavour  
(FreeNX or X2Go) the agent runs as.

Due to the X2Go-specific patches, the latest ,,NX (redistributed)''  
tarball provided by X2Go upstream works with FreeNX and X2Go.

The X2Go upstream team has decided to actively provide source code  
maintenance of the original NX coded downloaded from NoMachine as a  
redistributor. This aims at providing higher downstream-responsive  
patch cycles compared to the past (with NoMachine as NX upstream).  
Patches applied to ,,NX (redistributed)'' also get reported to  
NoMachine (by the X2Go upstream team). Patches that find their way  
into original NoMachine release will be removed from the ,,NX  
(redist.)'' patch stack, once a new NoMachine tarball release has been  
tested and incorporated into ,,NX (redist)''.

The first package upload of nx-libs to Debian unstable is planned to  
only provide nx-libs_<version>-lite.tar.gz (the LITE variante of NX  
redist.) and update NX client support in Debian.

This will be required for closing the following ITPs:

  x2goclient (#655602)
  python-x2go (#655608)
  pyhoca-gui (#655603)
  pyhoca-cli (#655607)

The upload of nx-libs will replace to existing source packages and  
close open bugs:

  - nxcomp (3.2.0-7-1.1), closing #627803
  - nxproxy (3.2.0-1-1), closing #637443

The maintenance of those packages will from then on be provided by the  
X2Go Packaging Team on Alioth  
(pkg-x2go-devel@lists.alioth.debian.org). Thanks to Mathew Johnson who  
agreed on handing the packages over to our team and also thanks for  
providing former versions of those packages during the last years!!!

For some future upload the X2Go Packaging Team plans to switch over to  
providing the full ,,NX (redistributed)'' code base, including

  - nxcomp
  - nxcompext
  - nxcompshad
  - nx-X11
  - nxagent
  - x2goagent
  - nxauth
  - nx-X11

This will close the ITP for X2Go Server:

  - x2go (#465821)

The packaing of the full NX (redist) code base would also allow for  
FreeNX to finally be packaged for Debian (if developers of FreeNX have  
an interest on that).

Contacts:
  X2Go Packagin Team: pkg-x2go-devel@lists.alioth.debian.org
  X2Go upstream developers: x2go-dev@lists.berlios.de
  FreeNX developers: freenx-team@lists.launchpad.net

  NX (redist) aka nx-libgs.git on: http://git.x2go.org
  http://code.x2go.org/gitweb?p=nx-libs.git;a=summary
  - full code base -> master branch
  - lite/client-only code base -> client-only branch




-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Thu, 12 Jan 2012 23:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Jan 2012 23:42:07 GMT) Full text and rfc822 format available.

Message #10 received at 655618@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 655618@bugs.debian.org
Cc: debian-devel@lists.debian.org, pkg-x2go-devel@lists.alioth.debian.org, freenx-team@lists.launchpad.net, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 00:37:57 +0100
Hi

On Friday 13 January 2012, Mike Gabriel wrote:
> Package: wnpp
> Version: N/A; reported 2012-01-06
> Severity: wishlist
> 
> * Package name : nx-libs
>    Version : 3.5.0.3
>    Upstream Author : Mike Gabriel, Oleksandr Shneyder, Reinhard Tartler
> * URL : wiki.x2go.org
> * License : GPLv2
>    Description : NX protocol libraries and binaries
[...]
>    NX (redist) aka nx-libgs.git on: http://git.x2go.org
>    http://code.x2go.org/gitweb?p=nx-libs.git;a=summary
>    - full code base -> master branch
>    - lite/client-only code base -> client-only branch

This appears to still contain a full (according to its size and a short
look at your packaging git), forked monolithic X.org 6.9 source tree. 
Most likely with little to no bug-/ security fixes since 2005 - or am 
I missing anything vital in that packaging git? Likewise the current
debian/copyright appears to lack all copyright notices of the original
XFree86/ X.org code, which makes up, by far, most of the source.

What are the plans for its future maintenance, given that NoMachine NX4
appears to switch to a closed source development model and is likely to
abandon the NX 3.5 code base rather soon? In a similar fashion FreeNX 
appears to be dead upstream since November 2008 (and already was dead 
way before that).

Wouldn't it make more sense to concentrate on filling the gaps to 
re-use something like Red Hat's SPICE protocol for remote desktop uses?

Regards
	Stefan Lippers-Hollmann

Disclaimer:	I've had my bite with trying to package early NX 1.x, 
			NX 2.x versions intended for Debian, but the sheer 
			amount of forked upstream code (in particular nx-x11) 
			and, back then, nxssh, samba, rdesktop, esound made 
			those attempts appear to be an endeavour in futility. 
			However I didn't actually follow development in this 
			arena since the early NX 3 era.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 00:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 655618@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>
Cc: 655618@bugs.debian.org, debian-devel@lists.debian.org, pkg-x2go-devel@lists.alioth.debian.org, freenx-team@lists.launchpad.net
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 00:57:37 +0100
[Message part 1 (text/plain, inline)]
Hi Stefan,

I am discussing here being in a double role. I am part of X2Go  
upstream, redistributing the nx-libs tarballs and also member of the  
Debian X2Go packaging team.

On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:

> Hi
>
> On Friday 13 January 2012, Mike Gabriel wrote:
>> Package: wnpp
>> Version: N/A; reported 2012-01-06
>> Severity: wishlist
>>
>> * Package name : nx-libs
>>    Version : 3.5.0.3
>>    Upstream Author : Mike Gabriel, Oleksandr Shneyder, Reinhard Tartler
>> * URL : wiki.x2go.org
>> * License : GPLv2
>>    Description : NX protocol libraries and binaries
> [...]
>>    NX (redist) aka nx-libgs.git on: http://git.x2go.org
>>    http://code.x2go.org/gitweb?p=nx-libs.git;a=summary
>>    - full code base -> master branch
>>    - lite/client-only code base -> client-only branch
>
> This appears to still contain a full (according to its size and a short
> look at your packaging git),

The packaging Git is on Alioth:
http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/nx-libs.git;a=summary

Do you refer to that one?

The redistributor's Git of NX (redistributed) is on X2Go Git:
http://code.x2go.org/gitweb?p=nx-libs.git;a=summary

> forked monolithic X.org 6.9 source tree.

This is indeed the case.

> Most likely with little to no bug-/ security fixes since 2005 - or am
> I missing anything vital in that packaging git? Likewise the current
> debian/copyright appears to lack all copyright notices of the original
> XFree86/ X.org code, which makes up, by far, most of the source.

The X2Go upstream team will be open to security and feature patches  
and will love to be pointed at security issues discovered. In the very  
very very long run there might be someone (we are currently talking  
about people in Austria being interested in such a project) who  
refactors NX for latest Xorg code, but currently what we can provide  
is an active maintenance of NoMachine's code.

And: NoMachine has lately released several tarballs around NX, please refer to
http://www.nomachine.com/sources.php

or check out the separate tarball import branches on nx-libs.git on X2Go Git.

> What are the plans for its future maintenance, given that NoMachine NX4
> appears to switch to a closed source development model and is likely to
> abandon the NX 3.5 code base rather soon? In a similar fashion FreeNX
> appears to be dead upstream since November 2008 (and already was dead
> way before that).

We are not packaging for FreeNX. We intend to package NX for usage  
with X2Go. And X2Go has been continuously active during the last  
years, esp. during 2011.

However, what we took care of is that the way we redistribute latest  
NX sources does not interfere with FreeNX code and also provides all  
FreeNX functionalities. One reason for FreeNX becoming less and less  
active probably was the trouble getting nx-X11 into Debian.

The placing of a redistributor between Linux distros and the original  
tarball provider NoMachine (who has not proved to be active on  
incorporating patches) aims at becoming more flexible and open to  
contributions here.

> Wouldn't it make more sense to concentrate on filling the gaps to
> re-use something like Red Hat's SPICE protocol for remote desktop uses?

No, performance tests fail for us compared to NX. All technologies  
around apart from NX use capturing algorithms and they scale quite  
badly on low-bandwidth networks.

> Regards
> 	Stefan Lippers-Hollmann
>
> Disclaimer:	I've had my bite with trying to package early NX 1.x,
> 			NX 2.x versions intended for Debian, but the sheer
> 			amount of forked upstream code (in particular nx-x11)
> 			and, back then, nxssh, samba, rdesktop, esound made
> 			those attempts appear to be an endeavour in futility.
> 			However I didn't actually follow development in this
> 			arena since the early NX 3 era.

Things are moving so may I invite to take another look?

Thanks for your open and honest feedback.

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "John A. Sullivan III" <jsullivan@opensourcedevel.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 01:27:04 GMT) Full text and rfc822 format available.

Message #20 received at 655618@bugs.debian.org (full text, mbox):

From: "John A. Sullivan III" <jsullivan@opensourcedevel.com>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>
Cc: 655618@bugs.debian.org, pkg-x2go-devel@lists.alioth.debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, debian-devel@lists.debian.org, freenx-team@lists.launchpad.net
Subject: Re: [Pkg-x2go-devel] Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Thu, 12 Jan 2012 20:22:22 -0500
On Fri, 2012-01-13 at 00:37 +0100, Stefan Lippers-Hollmann wrote:
> Hi
> 
> On Friday 13 January 2012, Mike Gabriel wrote:
> > Package: wnpp
> > Version: N/A; reported 2012-01-06
> > Severity: wishlist
> > 
> > * Package name : nx-libs
> >    Version : 3.5.0.3
> >    Upstream Author : Mike Gabriel, Oleksandr Shneyder, Reinhard Tartler
> > * URL : wiki.x2go.org
> > * License : GPLv2
> >    Description : NX protocol libraries and binaries
> [...]
> >    NX (redist) aka nx-libgs.git on: http://git.x2go.org
> >    http://code.x2go.org/gitweb?p=nx-libs.git;a=summary
> >    - full code base -> master branch
> >    - lite/client-only code base -> client-only branch
> 
> This appears to still contain a full (according to its size and a short
> look at your packaging git), forked monolithic X.org 6.9 source tree. 
> Most likely with little to no bug-/ security fixes since 2005 - or am 
> I missing anything vital in that packaging git? Likewise the current
> debian/copyright appears to lack all copyright notices of the original
> XFree86/ X.org code, which makes up, by far, most of the source.
> 
> What are the plans for its future maintenance, given that NoMachine NX4
> appears to switch to a closed source development model and is likely to
> abandon the NX 3.5 code base rather soon? In a similar fashion FreeNX 
> appears to be dead upstream since November 2008 (and already was dead 
> way before that).
> 
> Wouldn't it make more sense to concentrate on filling the gaps to 
> re-use something like Red Hat's SPICE protocol for remote desktop uses?
<snip>
I am very concerned about the old X code, too and we are actively
watching SPICE.  SPICE has extraordinary potential but it is still
slower than NX on WAN links - not much but enough to make a user
noticeable difference.  As SPICE improves, I think we should consider it
seriously.  Its cross platform support is very good which would no
longer limit X2Go server to Windows only and the idea of an adaptive
protocol is absolutely intriguing.  I long for the day we can
realistically do video playing on the virtual desktop across a WAN.
Thanks - John





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 03:09:04 GMT) Full text and rfc822 format available.

Message #25 received at 655618@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 03:04:38 +0000
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
> On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
> >forked monolithic X.org 6.9 source tree.
> 
> This is indeed the case.

I can't speak for the ftpmasters and Security Team, but honestly I can't
see why they would allow this in the archive or in any stable release,
respectively.

> >Most likely with little to no bug-/ security fixes since 2005 - or am
> >I missing anything vital in that packaging git? Likewise the current
> >debian/copyright appears to lack all copyright notices of the original
> >XFree86/ X.org code, which makes up, by far, most of the source.
> 
> The X2Go upstream team will be open to security and feature patches
> and will love to be pointed at security issues discovered. In the
> very very very long run there might be someone (we are currently
> talking about people in Austria being interested in such a project)
> who refactors NX for latest Xorg code, but currently what we can
> provide is an active maintenance of NoMachine's code.

I think you're missing the issue here.  Since X.org 6.9, there's been a
lot of bug fixes and improved code.  So you're essentially using an
obsolete codebase with a new protocol hacked on.  The Security Team does
not like code copies.  Porters do not like patching the same software
again and again, except with slight differences that make it impossible
to reuse the same patches[0].

The Debian X Strike Force has lots of bugs that need to be dealt with,
very likely because of a lack of time and manpower[1].  If your code is
a fork of 6.9, then all those bugs that were dealt with previously (or
are still present) are probably present in your code.  Also, even though
X2Go may provide security support for nx-libs, the Debian Security Team
still has to issue DSAs and build packages on all of the release
architectures independent of X2Go.

[0] I have had the joy of assisting the kFreeBSD porters with patching
every embedded and modified copy of libgc.
[1] This is not a dig at the X Strike Force; they do a very good job
with package maintenance and bug handling with the manpower they have.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 05:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 05:45:05 GMT) Full text and rfc822 format available.

Message #30 received at 655618@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 13:40:45 +0800
On 01/13/2012 11:04 AM, brian m. carlson wrote:
> On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
>   
>> On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
>>     
>>> forked monolithic X.org 6.9 source tree.
>>>       
>> This is indeed the case.
>>     
> I can't speak for the ftpmasters and Security Team, but honestly I can't
> see why they would allow this in the archive or in any stable release,
> respectively.
>   

I agree it wouldn't be a fit for SID or a release (considering what
has been written in this thread earlier). But would you think
it'd be acceptable to upload it in Experimental then?

Thomas





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 07:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 07:42:17 GMT) Full text and rfc822 format available.

Message #35 received at 655618@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 08:39:02 +0100
[Message part 1 (text/plain, inline)]
Hi Brianm,

On Fr 13 Jan 2012 04:04:38 CET "brian m. carlson" wrote:

> On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
>> On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
>> >forked monolithic X.org 6.9 source tree.
>>
>> This is indeed the case.
>
> I can't speak for the ftpmasters and Security Team, but honestly I can't
> see why they would allow this in the archive or in any stable release,
> respectively.
>
>> >Most likely with little to no bug-/ security fixes since 2005 - or am
>> >I missing anything vital in that packaging git? Likewise the current
>> >debian/copyright appears to lack all copyright notices of the original
>> >XFree86/ X.org code, which makes up, by far, most of the source.
>>
>> The X2Go upstream team will be open to security and feature patches
>> and will love to be pointed at security issues discovered. In the
>> very very very long run there might be someone (we are currently
>> talking about people in Austria being interested in such a project)
>> who refactors NX for latest Xorg code, but currently what we can
>> provide is an active maintenance of NoMachine's code.
>
> I think you're missing the issue here.  Since X.org 6.9, there's been a
> lot of bug fixes and improved code.  So you're essentially using an
> obsolete codebase with a new protocol hacked on.  The Security Team does
> not like code copies.  Porters do not like patching the same software
> again and again, except with slight differences that make it impossible
> to reuse the same patches[0].

Thanks for pointing that out more explicitly. I have been basically  
aware of this but probably not to its full extent.

And still, my basic (inner and outer) question is:

 1. how can we enrol other people with our endeavour
 2. what is needed to enrol people
 3. is there anyonr in this discussion who can point us to next possible steps
    towards acceptance of the packages

I see a great use case for having a low-bandwidth, high-latency remote  
desktop solution in Debian and the X2Go people are really willing to  
make an effort to make X2Go server inclusion in Debian happen.

BTW: I got personal feedback from Marcelo Boveto Shima, FreeNX. The  
project has become silent, though not dead (as Stefan stated). I asked  
him to contribute to this thread...

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 08:03:04 GMT) Full text and rfc822 format available.

Message #40 received at 655618@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 08:55:17 +0100
brian m. carlson schrieb am Friday, den 13. January 2012:

> On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
> > On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
> > >forked monolithic X.org 6.9 source tree.
> > 
> > This is indeed the case.
> 
> I can't speak for the ftpmasters and Security Team, but honestly I can't
> see why they would allow this in the archive or in any stable release,
> respectively.
Indeed, we had this discussions a few years ago where I started the NX
packaging group. NX in its current state with the embedded code copys won't
be accepted by ftpmasters. That was stated clearly.

Alex





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 08:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 08:03:06 GMT) Full text and rfc822 format available.

Message #45 received at 655618@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: debian-devel@lists.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 07:03:32 +0100
[Message part 1 (text/plain, inline)]
Hi all,

On Fr 13 Jan 2012 06:40:45 CET Thomas Goirand wrote:

> On 01/13/2012 11:04 AM, brian m. carlson wrote:
>> On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
>>
>>> On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
>>>
>>>> forked monolithic X.org 6.9 source tree.
>>>>
>>> This is indeed the case.
>>>
>> I can't speak for the ftpmasters and Security Team, but honestly I can't
>> see why they would allow this in the archive or in any stable release,
>> respectively.
>>
>
> I agree it wouldn't be a fit for SID or a release (considering what
> has been written in this thread earlier). But would you think
> it'd be acceptable to upload it in Experimental then?
>
> Thomas

Please note that we are implicitly discussing two code bases here...

STEP 1:
For SID and also a later stable wheezy we would love to upload nx-libs  
(LITE). This will update packages already in Debian. Nothing more.

STEP X:
What people in this thread have been contributed to is the handling of  
nx-libs (FULL). Of course many people would love to see nx-libs (FULL)  
in Debian and any derived distro, but I understand all your concerns  
and I know such a discussion would come up here and I am really  
seeking for a new approach here. Experimental upload would be one,  
maybe.

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 08:06:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 08:06:28 GMT) Full text and rfc822 format available.

Message #50 received at 655618@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Alexander Wirt <formorer@debian.org>
Cc: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 09:04:40 +0100
[Message part 1 (text/plain, inline)]
Hi Alex,

On Fr 13 Jan 2012 08:55:17 CET Alexander Wirt wrote:

> brian m. carlson schrieb am Friday, den 13. January 2012:
>
>> On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
>> > On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
>> > >forked monolithic X.org 6.9 source tree.
>> >
>> > This is indeed the case.
>>
>> I can't speak for the ftpmasters and Security Team, but honestly I can't
>> see why they would allow this in the archive or in any stable release,
>> respectively.
> Indeed, we had this discussions a few years ago where I started the NX
> packaging group. NX in its current state with the embedded code copys won't
> be accepted by ftpmasters. That was stated clearly.
>
> Alex

Is that the code in nx-X11/extras? Or the full nx-X11 tree?

Note that we have tested loads of different build variants against  
Xorg 7. The highest stability (which is virtually no session crashes  
anymore) we ever achieved is by the way we currently build the code as  
one monolith.

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 08:06:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van der Vlis <paul@vandervlis.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 08:39:04 GMT) Full text and rfc822 format available.

Message #58 received at 655618@bugs.debian.org (full text, mbox):

From: Paul van der Vlis <paul@vandervlis.nl>
To: "John A. Sullivan III" <jsullivan@opensourcedevel.com>
Cc: debian-devel@lists.debian.org, pkg-x2go-devel@lists.alioth.debian.org, 655618@bugs.debian.org
Subject: Re: [Pkg-x2go-devel] Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 09:30:09 +0100
Op 13-01-12 02:22, John A. Sullivan III schreef:

> As SPICE improves, I think we should consider it
> seriously.  Its cross platform support is very good which would no
> longer limit X2Go server to Windows only and the idea of an adaptive
> protocol is absolutely intriguing.  I long for the day we can
> realistically do video playing on the virtual desktop across a WAN.

X2go-server is not Windows-only, it even does not run on Windows.
Not sure what you want to say.

With regards,
Paul.

-- 
Paul van der Vlis Linux systeembeheer, Groningen
http://www.vandervlis.nl




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 09:03:09 GMT) Full text and rfc822 format available.

Message #63 received at 655618@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 10:00:29 +0100
Mike Gabriel schrieb am Freitag, den 13. Januar 2012:

> Hi Alex,
> 
> On Fr 13 Jan 2012 08:55:17 CET Alexander Wirt wrote:
> 
> >brian m. carlson schrieb am Friday, den 13. January 2012:
> >
> >>On Fri, Jan 13, 2012 at 12:57:37AM +0100, Mike Gabriel wrote:
> >>> On Fr 13 Jan 2012 00:37:57 CET Stefan Lippers-Hollmann wrote:
> >>> >forked monolithic X.org 6.9 source tree.
> >>>
> >>> This is indeed the case.
> >>
> >>I can't speak for the ftpmasters and Security Team, but honestly I can't
> >>see why they would allow this in the archive or in any stable release,
> >>respectively.
> >Indeed, we had this discussions a few years ago where I started the NX
> >packaging group. NX in its current state with the embedded code copys won't
> >be accepted by ftpmasters. That was stated clearly.
> >
> >Alex
> 
> Is that the code in nx-X11/extras? Or the full nx-X11 tree?
the latter. afair the first didn't existed to that time.
> 
> Note that we have tested loads of different build variants against
> Xorg 7. The highest stability (which is virtually no session crashes
> anymore) we ever achieved is by the way we currently build the code
> as one monolith.
This is not about stability. It is about being able to distribute it.
ftpmasters already said "no" to nx and I don't think anything changed since
then.

Alex
-- 
Alexander Wirt, formorer@formorer.de 
CC99 2DDD D39E 75B0 B0AA  B25C D35B BC99 BC7D 020A




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 09:24:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 09:24:31 GMT) Full text and rfc822 format available.

Message #68 received at 655618@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Paul van der Vlis <paul@vandervlis.nl>
Cc: "John A. Sullivan III" <jsullivan@opensourcedevel.com>, debian-devel@lists.debian.org, pkg-x2go-devel@lists.alioth.debian.org, 655618@bugs.debian.org
Subject: Re: [Pkg-x2go-devel] Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 10:20:15 +0100
[Message part 1 (text/plain, inline)]
Hi Paul, hi John,

On Fr 13 Jan 2012 09:30:09 CET Paul van der Vlis wrote:

> Op 13-01-12 02:22, John A. Sullivan III schreef:
>
>> As SPICE improves, I think we should consider it
>> seriously.  Its cross platform support is very good which would no
>> longer limit X2Go server to Windows only and the idea of an adaptive
>> protocol is absolutely intriguing.  I long for the day we can
>> realistically do video playing on the virtual desktop across a WAN.
>
> X2go-server is not Windows-only, it even does not run on Windows.
> Not sure what you want to say.

Note: we tend to get off-topic here. This thread is about packaging  
X2Go server / NX-libs for Debian. Please note by the To:/Cc: field,  
how many lists/people are involved in this discussion.

Let us discuss X2Go (upstream) issues on x2go-dev@lists.berlios.de and  
open a new thread on this topic there if you feel like it.

Thanks,
Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 09:24:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 09:24:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 09:24:54 GMT) Full text and rfc822 format available.

Message #76 received at 655618@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Alexander Wirt <formorer@debian.org>
Cc: debian-devel@lists.debian.org, 655618@bugs.debian.org
Subject: Re: Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 10:23:03 +0100
[Message part 1 (text/plain, inline)]
Hi Alex,

On Fr 13 Jan 2012 10:00:29 CET Alexander Wirt wrote:

>> Note that we have tested loads of different build variants against
>> Xorg 7. The highest stability (which is virtually no session crashes
>> anymore) we ever achieved is by the way we currently build the code
>> as one monolith.
> This is not about stability. It is about being able to distribute it.
> ftpmasters already said "no" to nx and I don't think anything changed since
> then.

Yes, got that completely! And: I am searching for a new realm of  
possiblities here. Somehow some non-Debian binaries made it into  
Debian (by external download), for example. What new ways can be  
possible here is my question?

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 09:25:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#655618; Package wnpp. (Fri, 13 Jan 2012 10:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Jan 2012 10:33:17 GMT) Full text and rfc822 format available.

Message #84 received at 655618@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Paul van der Vlis <paul@vandervlis.nl>, "John A. Sullivan III" <jsullivan@opensourcedevel.com>, debian-devel@lists.debian.org, 655618@bugs.debian.org, pkg-x2go-devel@lists.alioth.debian.org
Subject: Re: [Pkg-x2go-devel] Bug#655618: ITP: nx-libs -- NX protocol libraries and binaries
Date: Fri, 13 Jan 2012 11:31:00 +0100
clone 655618 -1
retitle 655618 ITP: nx-libs-light --- NX Protocol client-only libraries and binaries
retitle -1 ITP: nx-libs --- NX Protocol client/server libraries and binaries
stop

On Fr, Jan 13, 2012 at 10:20:15 (CET), Mike Gabriel wrote:

> Hi Paul, hi John,
>
> On Fr 13 Jan 2012 09:30:09 CET Paul van der Vlis wrote:
>
>> Op 13-01-12 02:22, John A. Sullivan III schreef:
>>
>>> As SPICE improves, I think we should consider it
>>> seriously.  Its cross platform support is very good which would no
>>> longer limit X2Go server to Windows only and the idea of an adaptive
>>> protocol is absolutely intriguing.  I long for the day we can
>>> realistically do video playing on the virtual desktop across a WAN.
>>
>> X2go-server is not Windows-only, it even does not run on Windows.
>> Not sure what you want to say.
>
> Note: we tend to get off-topic here. This thread is about packaging
> X2Go server / NX-libs for Debian. Please note by the To:/Cc: field,  how
> many lists/people are involved in this discussion.

I think the recipient list is appropriate. It includes everyone that
should discuss the inclusion of this software into the Debian Archive.

As some people raised concerns about including the x2go server into
Debian, I'm there splitting this ITP into two parts, following to the
way x2go provides its sources: At
http://code.x2go.org/releases/source/nx-libs/ two tarballs of nx-libs
are provided: one called 'lite' and one called 'full'. AFAIUI, the
'lite' tarball is a true subset of the 'full' tarball containing only
the parts that are relevant for building the client parts of the NX
stack. This is what bug #655618 is about from now on. The package is
being prepared at
http://anonscm.debian.org/gitweb/?p=collab-maint/x2go/nx-libs.git;a=tree
and, from what I see, is appropriate for being uploaded to unstable. For
clarity, I think we should rename the git repository from nx-libs.git to
nx-libs-light.git. Mike, can you please handle that?

For further discussion of the server parts (called "agent" in NX lingo),
which AFAIUI is a heavily patched fork of the old XNest codebase linked
against the Nomachine NX protocol libraries, please use the cloned bug.
I agree that without the blessing of the release team the security team,
it shouldn't go into unstable (or wheezy), but if the ftp-masters agree,
then I think it could go into experimental, so that interested parties
can start to have another serious look at it. If the project decides
that the server becomes suitable for inclusion into unstable, it will
then replace the 'nx-libs-light' package.

As I understand from Mike's other posting in this thread, there are
people looking at porting the agent to a newer codebase. But this is a
rarther long-term option. As are the suggestions to port x2go to SPICE.

As for the concerns with Nomachine, while it is true that NX 4.0 is no
longer GPL licensed, the 3.x codebase has seen updates, which maintain
its previous license, the GPLv3. I take this as indication that
Nomachine still has an interest in maintaining the 3.x codebase, which
included security fixes in the latest releases.

Cheers,
Reinhard

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Bug 655618 cloned as bug 655699. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Fri, 13 Jan 2012 10:33:47 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: nx-libs --- NX Protocol client/server libraries and binaries' from 'ITP: nx-libs -- NX protocol libraries and binaries' Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Fri, 13 Jan 2012 10:33:51 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: nx-libs -- NX Protocol client/server libraries and binaries' from 'ITP: nx-libs --- NX Protocol client/server libraries and binaries' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 03:15:44 GMT) Full text and rfc822 format available.

Owner recorded as Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 03:15:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#655699; Package wnpp. (Mon, 27 May 2013 13:44:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. (Mon, 27 May 2013 13:44:09 GMT) Full text and rfc822 format available.

Message #97 received at 655699@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 655699@bugs.debian.org
Cc: control@bugs.debian.org
Subject: nx-libs: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:17 +0200
retitle 655699 RFP: nx-libs -- NX Protocol client/server libraries and binaries
noowner 655699
tag 655699 - pending
thanks

Hi,

This is an automatic email to change the status of nx-libs back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting nx-libs, please send a mail to
<control@bugs.debian.org> with:

 retitle 655699 ITP: nx-libs -- NX Protocol client/server libraries and binaries
 owner 655699 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <655699@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: nx-libs -- NX Protocol client/server libraries and binaries' from 'ITP: nx-libs -- NX Protocol client/server libraries and binaries' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:07:38 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:07:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:59:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.